Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime
Interface Errors

All Known Implementing Classes:
  GraphicsExporter

public interface Errors

Field Summary
`static int` | `AAPNotCreatedErr` Path errors
`static int` | `AAPNotFoundErr` Path errors
`static int` | `abortErr`
`static int` | `addResFailed` Resource errors
`static int` | `afpAccessDenied`
`static int` | `afpObjectTypeErr`
`static int` | `ASDBadForkErr` Path errors
`static int` | `ASDBadHeaderErr` Path errors
`static int` | `ASDEntryNotFoundErr` Path errors
`static int` | `atomIndexInvalidErr`
`static int` | `atomsNotOfSameTypeErr`
`static int` | `auxiliaryExportDataUnavailable` Movie Toolbox errors
`static int` | `badCallOrderErr`
`static int` | `badChannel` Sound manager errors
`static int` | `badComponentInstance` Component errors
`static int` | `badComponentSelector` Component errors
`static int` | `badComponentType` Movie Toolbox errors
`static int` | `badControllerHeight`
`static int` | `badDataRefIndex` Movie Toolbox errors
`static int` | `badDepthErr`
`static int` | `badEditIndex` Movie Toolbox errors
`static int` | `badEditList` Movie Toolbox errors
`static int` | `badFileFormat` Sound manager errors
`static int` | `badFormat` Sound manager errors
`static int` | `badImageDescription` Movie Toolbox errors
`static int` | `badPublicMovieAtom` Movie Toolbox errors
`static int` | `badSGChannel`
`static int` | `badTrackIndex` Movie Toolbox errors
`static int` | `badUnitErr`
`static int` | `bdNamErr`
`static int` | `buffersTooSmall` Sound manager errors
`static int` | `callNotSupportedByNodeErr`
`static int` | `cannotBeLeafAtomErr`
`static int` | `cannotFindAtomErr`
`static int` | `cannotMoveAttachedController`
`static int` | `cannotSetWidthOfAttachedController`
`static int` | `cantCreateSingleForkFile` Movie Toolbox errors
`static int` | `cantDoThatInCurrentMode`
`static int` | `cantEnableTrack` Movie Toolbox errors
`static int` | `cantFindHandler` Movie Toolbox errors
`static int` | `cantOpenHandler` Movie Toolbox errors
`static int` | `cantPutPublicMovieAtom` Movie Toolbox errors
`static int` | `cantReceiveFromSynthesizerOSErr`
`static int` | `cantSendToSynthesizerOSErr`
`static int` | `cDepthErrInvalid`
`static int` | `channelBusy` Sound manager errors
`static int` | `channelNotBusy` Sound manager errors
`static int` | `closErr`
`static int` | `codecAbortErr`
`static int` | `codecBadDataErr`
`static int` | `codecCantQueueErr`
`static int` | `codecCantWhenErr`
`static int` | `codecConditionErr`
`static int` | `codecDataVersErr`
`static int` | `codecDisabledErr`
`static int` | `codecDroppedFrameErr`
`static int` | `codecErr`
`static int` | `codecExtensionNotFoundErr`
`static int` | `codecImageBufErr`
`static int` | `codecNeedAccessKeyErr`
`static int` | `codecNeedToFlushChainErr`
`static int` | `codecNoMemoryPleaseWaitErr`
`static int` | `codecNothingToBlitErr`
`static int` | `codecOffscreenFailedErr`
`static int` | `codecOpenErr`
`static int` | `codecParameterDialogConfirm`
`static int` | `codecScreenBufErr`
`static int` | `codecSizeErr`
`static int` | `codecSpoolErr`
`static int` | `codecUnimpErr`
`static int` | `codecWouldOffscreenErr`
`static int` | `componentDllEntryNotFoundErr`
`static int` | `componentDllLoadErr`
`static int` | `componentDontRegister`
`static int` | `componentNotCaptured`
`static int` | `constraintReachedErr`
`static int` | `controlErr`
`static int` | `controllerBoundsNotExact`
`static int` | `controllerHasFixedHeight`
`static int` | `couldNotResolveDataRef` Movie Toolbox errors
`static int` | `couldNotUseAnExistingSample` Movie Toolbox errors
`static int` | `couldntGetRequiredComponent`
`static int` | `dataAlreadyClosed` Movie Toolbox errors
`static int` | `dataAlreadyOpenForWrite` Movie Toolbox errors
`static int` | `dataNoDataRef` Movie Toolbox errors
`static int` | `dataNotOpenForRead` Movie Toolbox errors
`static int` | `dataNotOpenForWrite` Movie Toolbox errors
`static int` | `destPortErr` Port related errors
`static int` | `deviceCantMeetRequest`
`static int` | `digiUnimpErr`
`static int` | `dInstErr`
`static int` | `dirFulErr`
`static int` | `dirNFErr`
`static int` | `dRemovErr`
`static int` | `dskFulErr`
`static int` | `dupFNErr`
`static int` | `duplicateAtomTypeAndIDErr`
`static int` | `duplicateHandlerErr`
`static int` | `editingNotAllowed`
`static int` | `emptyPathErr` Path errors
`static int` | `endOfDataReached` Movie Toolbox errors
`static int` | `eofErr`
`static int` | `fBsyErr`
`static int` | `featureUnsupported` Movie Toolbox errors
`static int` | `fileOffsetTooBigErr` Path errors
`static int` | `fnfErr`
`static int` | `grabTimeComplete`
`static int` | `gWorldsNotSameDepthAndSizeErr` Movie Toolbox errors
`static int` | `handlerNotFoundErr`
`static int` | `illegalChannelOSErr`
`static int` | `illegalControllerOSErr`
`static int` | `illegalInstrumentOSErr`
`static int` | `illegalKnobOSErr`
`static int` | `illegalKnobValueOSErr`
`static int` | `illegalNoteChannelOSErr`
`static int` | `illegalPartOSErr`
`static int` | `illegalVoiceAllocationOSErr`
`static int` | `internalComponentErr`
`static int` | `internalQuickTimeError` Movie Toolbox errors
`static int` | `invalidAtomContainerErr`
`static int` | `invalidAtomErr`
`static int` | `invalidAtomTypeErr`
`static int` | `invalidChunkCache` Movie Toolbox errors
`static int` | `invalidChunkNum` Movie Toolbox errors
`static int` | `invalidComponentID`
`static int` | `invalidDataRef` Movie Toolbox errors
`static int` | `invalidDataRefContainer` Movie Toolbox errors
`static int` | `invalidDuration` Movie Toolbox errors
`static int` | `invalidEditState` Movie Toolbox errors
`static int` | `invalidHandler` Movie Toolbox errors
`static int` | `invalidHotSpotIDErr`
`static int` | `invalidImageIndexErr` Movie Toolbox errors
`static int` | `invalidMedia` Movie Toolbox errors
`static int` | `invalidMovie` Movie Toolbox errors
`static int` | `invalidNodeFormatErr`
`static int` | `invalidNodeIDErr`
`static int` | `invalidRect` Movie Toolbox errors
`static int` | `invalidSampleDescIndex` Movie Toolbox errors
`static int` | `invalidSampleDescription` Movie Toolbox errors
`static int` | `invalidSampleNum` Movie Toolbox errors
`static int` | `invalidSampleTable` Movie Toolbox errors
`static int` | `invalidSpriteIDErr` Movie Toolbox errors
`static int` | `invalidSpriteIndexErr` Movie Toolbox errors
`static int` | `invalidSpritePropertyErr` Movie Toolbox errors
`static int` | `invalidSpriteWorldPropertyErr` Movie Toolbox errors
`static int` | `invalidTime` Movie Toolbox errors
`static int` | `invalidTrack` Movie Toolbox errors
`static int` | `invalidViewStateErr`
`static int` | `ioErr`
`static int` | `kIllegalInstrumentErr` Instrument number was incorrect
`static int` | `kInvalidPartNumberErr` An incorrect part number was supplied
`static int` | `kQ3ErrorAcceleratorAlreadySet`
`static int` | `kQ3ErrorAccessRestricted`
`static int` | `kQ3ErrorAlreadyInitialized`
`static int` | `kQ3ErrorAlreadyRendering`
`static int` | `kQ3ErrorAttributeInvalidType`
`static int` | `kQ3ErrorAttributeNotContained`
`static int` | `kQ3ErrorBadDrawContext`
`static int` | `kQ3ErrorBadDrawContextFlag`
`static int` | `kQ3ErrorBadDrawContextType`
`static int` | `kQ3ErrorBadStringType`
`static int` | `kQ3ErrorBeginWriteAlreadyCalled`
`static int` | `kQ3ErrorBeginWriteNotCalled`
`static int` | `kQ3ErrorBoundingLoopFailed`
`static int` | `kQ3ErrorBoundsNotStarted`
`static int` | `kQ3ErrorCameraNotSet`
`static int` | `kQ3ErrorController`
`static int` | `kQ3ErrorDataNotAvailable`
`static int` | `kQ3ErrorDegenerateGeometry`
`static int` | `kQ3ErrorDisplayNotSet`
`static int` | `kQ3ErrorDrawContextNotSet`
`static int` | `kQ3ErrorEndOfContainer`
`static int` | `kQ3ErrorEndOfFile`
`static int` | `kQ3ErrorEndWriteNotCalled`
`static int` | `kQ3ErrorExtensionError`
`static int` | `kQ3ErrorFileAlreadyOpen`
`static int` | `kQ3ErrorFileCancelled`
`static int` | `kQ3ErrorFileIsOpen`
`static int` | `kQ3ErrorFileModeRestriction`
`static int` | `kQ3ErrorFileNotOpen`
`static int` | `kQ3ErrorFileVersionExists`
`static int` | `kQ3ErrorGeometryInsufficientNumberOfPoints`
`static int` | `kQ3ErrorImmediateModeUnderflow`
`static int` | `kQ3ErrorInternalError`
`static int` | `kQ3ErrorInvalidCameraValues`
`static int` | `kQ3ErrorInvalidData`
`static int` | `kQ3ErrorInvalidGeometryType`
`static int` | `kQ3ErrorInvalidHexString`
`static int` | `kQ3ErrorInvalidMetafile`
`static int` | `kQ3ErrorInvalidMetafileLabel`
`static int` | `kQ3ErrorInvalidMetafileObject`
`static int` | `kQ3ErrorInvalidMetafilePrimitive`
`static int` | `kQ3ErrorInvalidMetafileSubObject`
`static int` | `kQ3ErrorInvalidObject`
`static int` | `kQ3ErrorInvalidObjectClass`
`static int` | `kQ3ErrorInvalidObjectForGroup`
`static int` | `kQ3ErrorInvalidObjectForPosition`
`static int` | `kQ3ErrorInvalidObjectName`
`static int` | `kQ3ErrorInvalidObjectType`
`static int` | `kQ3ErrorInvalidParameter`
`static int` | `kQ3ErrorInvalidPositionForGroup`
`static int` | `kQ3ErrorInvalidSubObjectForObject`
`static int` | `kQ3ErrorLastFatalError`
`static int` | `kQ3ErrorMacintoshError`
`static int` | `kQ3ErrorMemoryLeak`
`static int` | `kQ3ErrorMetaHandlerRequired`
`static int` | `kQ3ErrorNeedRequiredMethods`
`static int` | `kQ3ErrorNoBeginGroup`
`static int` | `kQ3ErrorNoExtensionsFolder`
`static int` | `kQ3ErrorNonInvertibleMatrix`
`static int` | `kQ3ErrorNonUniqueLabel`
`static int` | `kQ3ErrorNoRecovery`
`static int` | `kQ3ErrorNoStorageSetForFile`
`static int` | `kQ3ErrorNoSubClassType`
`static int` | `kQ3ErrorNothingToPop`
`static int` | `kQ3ErrorNotInitialized`
`static int` | `kQ3ErrorNotSupported`
`static int` | `kQ3ErrorNULLParameter`
`static int` | `kQ3ErrorObjectClassInUse`
`static int` | `kQ3ErrorOutOfMemory`
`static int` | `kQ3ErrorParameterOutOfRange`
`static int` | `kQ3ErrorPickingLoopFailed`
`static int` | `kQ3ErrorPickingNotStarted`
`static int` | `kQ3ErrorPrivateExtensionError`
`static int` | `kQ3ErrorReadLessThanSize`
`static int` | `kQ3ErrorReadMoreThanSize`
`static int` | `kQ3ErrorReadStateInactive`
`static int` | `kQ3ErrorRegistrationFailed`
`static int` | `kQ3ErrorRendererNotSet`
`static int` | `kQ3ErrorRenderingIsActive`
`static int` | `kQ3ErrorRenderingLoopFailed`
`static int` | `kQ3ErrorRenderingNotStarted`
`static int` | `kQ3ErrorScaleOfZero`
`static int` | `kQ3ErrorSizeMismatch`
`static int` | `kQ3ErrorSizeNotLongAligned`
`static int` | `kQ3ErrorStartGroupRange`
`static int` | `kQ3ErrorStateUnavailable`
`static int` | `kQ3ErrorStorageAlreadyOpen`
`static int` | `kQ3ErrorStorageInUse`
`static int` | `kQ3ErrorStorageIsOpen`
`static int` | `kQ3ErrorStorageNotOpen`
`static int` | `kQ3ErrorStringExceedsMaximumLength`
`static int` | `kQ3ErrorTracker`
`static int` | `kQ3ErrorTypeAlreadyExistsAndHasObjectInstances`
`static int` | `kQ3ErrorTypeAlreadyExistsAndHasSubclasses`
`static int` | `kQ3ErrorTypeAlreadyExistsAndOtherClassesDependOnIt`
`static int` | `kQ3ErrorUnimplemented`
`static int` | `kQ3ErrorUnixError`
`static int` | `kQ3ErrorUnknownElementType`
`static int` | `kQ3ErrorUnknownObject`
`static int` | `kQ3ErrorUnknownStudioType`
`static int` | `kQ3ErrorUnmatchedEndGroup`
`static int` | `kQ3ErrorUnresolvableReference`
`static int` | `kQ3ErrorUnsupportedFunctionality`
`static int` | `kQ3ErrorUnsupportedGeometryType`
`static int` | `kQ3ErrorUnsupportedPixelDepth`
`static int` | `kQ3ErrorValueExceedsMaximumSize`
`static int` | `kQ3ErrorVector3DNotUnitLength`
`static int` | `kQ3ErrorVector3DZeroLength`
`static int` | `kQ3ErrorViewIsStarted`
`static int` | `kQ3ErrorViewNotStarted`
`static int` | `kQ3ErrorWin32Error`
`static int` | `kQ3ErrorWriteStateInactive`
`static int` | `kQ3ErrorWritingLoopFailed`
`static int` | `kQ3ErrorWroteLessThanSize`
`static int` | `kQ3ErrorWroteMoreThanSize`
`static int` | `kQ3ErrorX11Error`
`static int` | `kQ3NoticeBrightnessGreaterThanOne`
`static int` | `kQ3NoticeDataAlreadyEmpty`
`static int` | `kQ3NoticeDrawContextNotSetUsingInternalDefaults`
`static int` | `kQ3NoticeFileAliasWasChanged`
`static int` | `kQ3NoticeFileCancelled`
`static int` | `kQ3NoticeInvalidAttenuationTypeUsingInternalDefaults`
`static int` | `kQ3NoticeMeshEdgeIsNotBoundary`
`static int` | `kQ3NoticeMeshEdgeVertexDoNotCorrespond`
`static int` | `kQ3NoticeMeshInvalidVertexFacePair`
`static int` | `kQ3NoticeMeshVertexHasNoComponent`
`static int` | `kQ3NoticeMethodNotSupported`
`static int` | `kQ3NoticeObjectAlreadySet`
`static int` | `kQ3NoticeParameterOutOfRange`
`static int` | `kQ3NoticeScaleContainsZeroEntries`
`static int` | `kQ3NoticeSystemAlreadyInitialized`
`static int` | `kQ3NoticeViewSyncCalledAgain`
`static int` | `kQ3WarningExtensionNotLoading`
`static int` | `kQ3WarningFilePointerRedefined`
`static int` | `kQ3WarningFilePointerResolutionFailed`
`static int` | `kQ3WarningFunctionalityNotSupported`
`static int` | `kQ3WarningInconsistentData`
`static int` | `kQ3WarningInternalException`
`static int` | `kQ3WarningInvalidHexString`
`static int` | `kQ3WarningInvalidMetafileObject`
`static int` | `kQ3WarningInvalidObjectInGroupMetafile`
`static int` | `kQ3WarningInvalidPaneDimensions`
`static int` | `kQ3WarningInvalidSubObjectForObject`
`static int` | `kQ3WarningInvalidTableOfContents`
`static int` | `kQ3WarningLowMemory`
`static int` | `kQ3WarningNoAttachMethod`
`static int` | `kQ3WarningNone`
`static int` | `kQ3WarningNonInvertibleMatrix`
`static int` | `kQ3WarningNoObjectSupportForDrawMethod`
`static int` | `kQ3WarningNoObjectSupportForDuplicateMethod`
`static int` | `kQ3WarningNoObjectSupportForReadMethod`
`static int` | `kQ3WarningNoObjectSupportForWriteMethod`
`static int` | `kQ3WarningParameterOutOfRange`
`static int` | `kQ3WarningPickParamOutside`
`static int` | `kQ3WarningPossibleMemoryLeak`
`static int` | `kQ3WarningQuaternionEntriesAreZero`
`static int` | `kQ3WarningReadLessThanSize`
`static int` | `kQ3WarningScaleContainsNegativeEntries`
`static int` | `kQ3WarningScaleEntriesAllZero`
`static int` | `kQ3WarningStringExceedsMaximumLength`
`static int` | `kQ3WarningTypeAlreadyRegistered`
`static int` | `kQ3WarningTypeAndMethodAlreadyDefined`
`static int` | `kQ3WarningTypeHasNotBeenRegistered`
`static int` | `kQ3WarningTypeIsOutOfRange`
`static int` | `kQ3WarningTypeNewerVersionAlreadyRegistered`
`static int` | `kQ3WarningTypeSameVersionAlreadyRegistered`
`static int` | `kQ3WarningUnknownElementType`
`static int` | `kQ3WarningUnknownObject`
`static int` | `kQ3WarningUnmatchedBeginGroup`
`static int` | `kQ3WarningUnmatchedEndGroup`
`static int` | `kQ3WarningUnresolvableReference`
`static int` | `kQ3WarningVector3DNotUnitLength`
`static int` | `kQ3WarningViewTraversalInProgress`
`static int` | `kUnspecifiedErr` Unspecified error code.
`static int` | `limitReachedErr`
`static int` | `lockPortBitsBadPortErr`
`static int` | `lockPortBitsBadSurfaceErr`
`static int` | `lockPortBitsSurfaceLostErr`
`static int` | `lockPortBitsWindowClippedErr`
`static int` | `lockPortBitsWindowMovedErr`
`static int` | `lockPortBitsWindowResizedErr`
`static int` | `matrixErr`
`static int` | `maxSizeToGrowTooSmall` Movie Toolbox errors
`static int` | `mediaTypesDontMatch` Movie Toolbox errors
`static int` | `memFullErr`
`static int` | `midiManagerAbsentOSErr`
`static int` | `missingRequiredParameterErr` Movie Toolbox errors
`static int` | `movieTextNotFoundErr` Movie Toolbox errors
`static int` | `movieToolboxUninitialized` Movie Toolbox errors
`static int` | `noCodecErr`
`static int` | `noDataHandler` Movie Toolbox errors
`static int` | `noDefaultDataRef` Movie Toolbox errors
`static int` | `noDeviceForChannel`
`static int` | `noDMAErr`
`static int` | `noErr` no error
`static int` | `noExportProcAvailableErr`
`static int` | `noGlobalsErr` Port related errors
`static int` | `noMediaHandler` Movie Toolbox errors
`static int` | `noMemoryNodeFailedInitialize`
`static int` | `noMoreKeyColorsErr`
`static int` | `noMoreRealTime` Sound manager errors
`static int` | `noMovieFound` Movie Toolbox errors
`static int` | `nonMatchingEditState` Movie Toolbox errors
`static int` | `noPathMappingErr` Path errors
`static int` | `noPortErr` Port related errors
`static int` | `noRecordOfApp` Movie Toolbox errors
`static int` | `noSoundTrackInMovieErr` Movie Toolbox errors
`static int` | `noSourceTreeFoundErr` Movie Toolbox errors
`static int` | `notAllowedToSaveMovieErr` Path errors
`static int` | `notAQTVRMovieErr`
`static int` | `noteChannelNotAllocatedOSErr`
`static int` | `notEnoughBufferSpace` Sound manager errors
`static int` | `notEnoughDataErr` Path errors
`static int` | `notEnoughDiskSpaceToGrab`
`static int` | `notEnoughHardwareErr` Sound manager errors
`static int` | `notEnoughMemoryToGrab`
`static int` | `notExactMatrixErr`
`static int` | `notExactSizeErr`
`static int` | `notImplementedMusicOSErr`
`static int` | `notLeafAtomErr`
`static int` | `noVideoTrackInMovieErr` Movie Toolbox errors
`static int` | `nsvErr`
`static int` | `openErr`
`static int` | `paramErr`
`static int` | `pathNotVerifiedErr` Path errors
`static int` | `pathTooLongErr` Path errors
`static int` | `permErr`
`static int` | `pictIsOpenErr`
`static int` | `progressProcAborted` Movie Toolbox errors
`static int` | `propertyNotSupportedByNodeErr`
`static int` | `qfcbNotCreatedErr` Path errors
`static int` | `qfcbNotFoundErr` Path errors
`static int` | `qtActionNotHandledErr` Path errors
`static int` | `qtmlDllEntryNotFoundErr`
`static int` | `qtmlDllLoadErr`
`static int` | `qtmlUninitialized`
`static int` | `qtNetworkAlreadyAllocatedErr` Path errors
`static int` | `qtParamErr`
`static int` | `qtvrLibraryLoadErr`
`static int` | `qtvrUninitialized`
`static int` | `queueFull` Sound manager errors
`static int` | `readErr`
`static int` | `resFNotFound` Resource errors
`static int` | `resNotFound` Resource errors
`static int` | `resProblem` Sound manager errors
`static int` | `rgnTooBigErr` Sound manager errors
`static int` | `rmvResFailed` Resource errors
`static int` | `samplesAlreadyInMediaErr` Movie Toolbox errors
`static int` | `scTypeNotFoundErr`
`static int` | `selectorNotSupportedByNodeErr`
`static int` | `seqGrabInfoNotAvailable`
`static int` | `settingNotSupportedByNodeErr`
`static int` | `siBadDeviceName` Sound manager errors
`static int` | `siBadRefNum` Sound manager errors
`static int` | `siBadSoundInDevice` Sound manager errors
`static int` | `siDeviceBusyErr` Sound manager errors
`static int` | `siHardDriveTooSlow` Sound manager errors
`static int` | `siInputDeviceErr` Sound manager errors
`static int` | `siInvalidCompression` Sound manager errors
`static int` | `siInvalidSampleRate` Sound manager errors
`static int` | `siInvalidSampleSize` Sound manager errors
`static int` | `siNoBufferSpecified` Sound manager errors
`static int` | `siNoSoundInHardware` Sound manager errors
`static int` | `siUnknownInfoType` Sound manager errors
`static int` | `siUnknownQuality` Sound manager errors
`static int` | `soundSupportNotAvailableErr` Movie Toolbox errors
`static int` | `sourceNotFoundErr` Movie Toolbox errors
`static int` | `staleEditState` Movie Toolbox errors
`static int` | `statusErr`
`static int` | `streamingNodeNotReadyErr`
`static int` | `synthesizerNotRespondingOSErr`
`static int` | `synthesizerOSErr`
`static int` | `timeNotInMedia` Movie Toolbox errors
`static int` | `timeNotInTrack` Movie Toolbox errors
`static int` | `timeNotInViewErr`
`static int` | `trackIDNotFound` Movie Toolbox errors
`static int` | `trackNotInMovie` Movie Toolbox errors
`static int` | `tuneParseOSErr`
`static int` | `tunePlayerFullOSErr`
`static int` | `unitEmptyErr`
`static int` | `unknownFormatErr` Path errors
`static int` | `unresolvedComponentDLLErr`
`static int` | `unsupportedAuxiliaryImportData` Movie Toolbox errors
`static int` | `unsupportedOSErr`
`static int` | `unsupportedProcessorErr`
`static int` | `urlDataHFTPBadNameListErr` Path errors
`static int` | `urlDataHFTPBadPasswordErr` Path errors
`static int` | `urlDataHFTPBadUserErr` Path errors
`static int` | `urlDataHFTPDataConnectionErr` Path errors
`static int` | `urlDataHFTPFilenameErr` Path errors
`static int` | `urlDataHFTPNeedPasswordErr` Path errors
`static int` | `urlDataHFTPNoDirectoryErr` Path errors
`static int` | `urlDataHFTPNoNetDriverErr` Path errors
`static int` | `urlDataHFTPNoPasswordErr` Path errors
`static int` | `urlDataHFTPPermissionsErr` Path errors
`static int` | `urlDataHFTPProtocolErr` Path errors
`static int` | `urlDataHFTPQuotaErr` Path errors
`static int` | `urlDataHFTPServerDisconnectedErr` Path errors
`static int` | `urlDataHFTPServerErr` Path errors
`static int` | `urlDataHFTPShutdownErr` Path errors
`static int` | `urlDataHFTPURLErr` Path errors
`static int` | `urlDataHHTTPNoNetDriverErr` Path errors
`static int` | `urlDataHHTTPProtocolErr` Path errors
`static int` | `urlDataHHTTPRedirectErr` Path errors
`static int` | `urlDataHHTTPURLErr` Path errors
`static int` | `userCanceledErr`
`static int` | `userDataItemNotFound` Movie Toolbox errors
`static int` | `validInstancesExist`
`static int` | `videoOutputInUseErr`
`static int` | `vLckdErr`
`static int` | `wackBadFileErr` Path errors
`static int` | `wackBadMetaDataErr` Path errors
`static int` | `wackForkNotFoundErr` Path errors
`static int` | `wfFileNotFound` Movie Toolbox errors
`static int` | `wPrErr`
`static int` | `writErr`

Field Detail

### noErr

    public static final int noErr

  no error

### kUnspecifiedErr

    public static final int kUnspecifiedErr

  Unspecified error code.

### kIllegalInstrumentErr

    public static final int kIllegalInstrumentErr

  Instrument number was incorrect

### kInvalidPartNumberErr

    public static final int kInvalidPartNumberErr

  An incorrect part number was supplied

### pictIsOpenErr

    public static final int pictIsOpenErr

### controlErr

    public static final int controlErr

### statusErr

    public static final int statusErr

### readErr

    public static final int readErr

### writErr

    public static final int writErr

### badUnitErr

    public static final int badUnitErr

### unitEmptyErr

    public static final int unitEmptyErr

### openErr

    public static final int openErr

### closErr

    public static final int closErr

### dRemovErr

    public static final int dRemovErr

### dInstErr

    public static final int dInstErr

### abortErr

    public static final int abortErr

### dirFulErr

    public static final int dirFulErr

### dskFulErr

    public static final int dskFulErr

### nsvErr

    public static final int nsvErr

### ioErr

    public static final int ioErr

### bdNamErr

    public static final int bdNamErr

### eofErr

    public static final int eofErr

### fnfErr

    public static final int fnfErr

### wPrErr

    public static final int wPrErr

### vLckdErr

    public static final int vLckdErr

### fBsyErr

    public static final int fBsyErr

### dupFNErr

    public static final int dupFNErr

### paramErr

    public static final int paramErr

### permErr

    public static final int permErr

### memFullErr

    public static final int memFullErr

### dirNFErr

    public static final int dirNFErr

### userCanceledErr

    public static final int userCanceledErr

### cDepthErrInvalid

    public static final int cDepthErrInvalid

### rmvResFailed

    public static final int rmvResFailed

  Resource errors

### addResFailed

    public static final int addResFailed

  Resource errors

### resFNotFound

    public static final int resFNotFound

  Resource errors

### resNotFound

    public static final int resNotFound

  Resource errors

### notEnoughHardwareErr

    public static final int notEnoughHardwareErr

  Sound manager errors

### queueFull

    public static final int queueFull

  Sound manager errors

### badChannel

    public static final int badChannel

  Sound manager errors

### resProblem

    public static final int resProblem

  Sound manager errors

### badFormat

    public static final int badFormat

  Sound manager errors

### notEnoughBufferSpace

    public static final int notEnoughBufferSpace

  Sound manager errors

### badFileFormat

    public static final int badFileFormat

  Sound manager errors

### channelBusy

    public static final int channelBusy

  Sound manager errors

### buffersTooSmall

    public static final int buffersTooSmall

  Sound manager errors

### channelNotBusy

    public static final int channelNotBusy

  Sound manager errors

### noMoreRealTime

    public static final int noMoreRealTime

  Sound manager errors

### siNoSoundInHardware

    public static final int siNoSoundInHardware

  Sound manager errors

### siBadSoundInDevice

    public static final int siBadSoundInDevice

  Sound manager errors

### siNoBufferSpecified

    public static final int siNoBufferSpecified

  Sound manager errors

### siInvalidCompression

    public static final int siInvalidCompression

  Sound manager errors

### siHardDriveTooSlow

    public static final int siHardDriveTooSlow

  Sound manager errors

### siInvalidSampleRate

    public static final int siInvalidSampleRate

  Sound manager errors

### siInvalidSampleSize

    public static final int siInvalidSampleSize

  Sound manager errors

### siDeviceBusyErr

    public static final int siDeviceBusyErr

  Sound manager errors

### siBadDeviceName

    public static final int siBadDeviceName

  Sound manager errors

### siBadRefNum

    public static final int siBadRefNum

  Sound manager errors

### siInputDeviceErr

    public static final int siInputDeviceErr

  Sound manager errors

### siUnknownInfoType

    public static final int siUnknownInfoType

  Sound manager errors

### siUnknownQuality

    public static final int siUnknownQuality

  Sound manager errors

### rgnTooBigErr

    public static final int rgnTooBigErr

  Sound manager errors

### noPortErr

    public static final int noPortErr

  Port related errors

### noGlobalsErr

    public static final int noGlobalsErr

  Port related errors

### destPortErr

    public static final int destPortErr

  Port related errors

### duplicateHandlerErr

    public static final int duplicateHandlerErr

### handlerNotFoundErr

    public static final int handlerNotFoundErr

### couldNotResolveDataRef

    public static final int couldNotResolveDataRef

  Movie Toolbox errors

### badImageDescription

    public static final int badImageDescription

  Movie Toolbox errors

### badPublicMovieAtom

    public static final int badPublicMovieAtom

  Movie Toolbox errors

### cantFindHandler

    public static final int cantFindHandler

  Movie Toolbox errors

### cantOpenHandler

    public static final int cantOpenHandler

  Movie Toolbox errors

### badComponentType

    public static final int badComponentType

  Movie Toolbox errors

### noMediaHandler

    public static final int noMediaHandler

  Movie Toolbox errors

### noDataHandler

    public static final int noDataHandler

  Movie Toolbox errors

### invalidMedia

    public static final int invalidMedia

  Movie Toolbox errors

### invalidTrack

    public static final int invalidTrack

  Movie Toolbox errors

### invalidMovie

    public static final int invalidMovie

  Movie Toolbox errors

### invalidSampleTable

    public static final int invalidSampleTable

  Movie Toolbox errors

### invalidDataRef

    public static final int invalidDataRef

  Movie Toolbox errors

### invalidHandler

    public static final int invalidHandler

  Movie Toolbox errors

### invalidDuration

    public static final int invalidDuration

  Movie Toolbox errors

### invalidTime

    public static final int invalidTime

  Movie Toolbox errors

### cantPutPublicMovieAtom

    public static final int cantPutPublicMovieAtom

  Movie Toolbox errors

### badEditList

    public static final int badEditList

  Movie Toolbox errors

### mediaTypesDontMatch

    public static final int mediaTypesDontMatch

  Movie Toolbox errors

### progressProcAborted

    public static final int progressProcAborted

  Movie Toolbox errors

### movieToolboxUninitialized

    public static final int movieToolboxUninitialized

  Movie Toolbox errors

### noRecordOfApp

    public static final int noRecordOfApp

  Movie Toolbox errors

### wfFileNotFound

    public static final int wfFileNotFound

  Movie Toolbox errors

### cantCreateSingleForkFile

    public static final int cantCreateSingleForkFile

  Movie Toolbox errors

### invalidEditState

    public static final int invalidEditState

  Movie Toolbox errors

### nonMatchingEditState

    public static final int nonMatchingEditState

  Movie Toolbox errors

### staleEditState

    public static final int staleEditState

  Movie Toolbox errors

### userDataItemNotFound

    public static final int userDataItemNotFound

  Movie Toolbox errors

### maxSizeToGrowTooSmall

    public static final int maxSizeToGrowTooSmall

  Movie Toolbox errors

### badTrackIndex

    public static final int badTrackIndex

  Movie Toolbox errors

### trackIDNotFound

    public static final int trackIDNotFound

  Movie Toolbox errors

### trackNotInMovie

    public static final int trackNotInMovie

  Movie Toolbox errors

### timeNotInTrack

    public static final int timeNotInTrack

  Movie Toolbox errors

### timeNotInMedia

    public static final int timeNotInMedia

  Movie Toolbox errors

### badEditIndex

    public static final int badEditIndex

  Movie Toolbox errors

### internalQuickTimeError

    public static final int internalQuickTimeError

  Movie Toolbox errors

### cantEnableTrack

    public static final int cantEnableTrack

  Movie Toolbox errors

### invalidRect

    public static final int invalidRect

  Movie Toolbox errors

### invalidSampleNum

    public static final int invalidSampleNum

  Movie Toolbox errors

### invalidChunkNum

    public static final int invalidChunkNum

  Movie Toolbox errors

### invalidSampleDescIndex

    public static final int invalidSampleDescIndex

  Movie Toolbox errors

### invalidChunkCache

    public static final int invalidChunkCache

  Movie Toolbox errors

### invalidSampleDescription

    public static final int invalidSampleDescription

  Movie Toolbox errors

### dataNotOpenForRead

    public static final int dataNotOpenForRead

  Movie Toolbox errors

### dataNotOpenForWrite

    public static final int dataNotOpenForWrite

  Movie Toolbox errors

### dataAlreadyOpenForWrite

    public static final int dataAlreadyOpenForWrite

  Movie Toolbox errors

### dataAlreadyClosed

    public static final int dataAlreadyClosed

  Movie Toolbox errors

### endOfDataReached

    public static final int endOfDataReached

  Movie Toolbox errors

### dataNoDataRef

    public static final int dataNoDataRef

  Movie Toolbox errors

### noMovieFound

    public static final int noMovieFound

  Movie Toolbox errors

### invalidDataRefContainer

    public static final int invalidDataRefContainer

  Movie Toolbox errors

### badDataRefIndex

    public static final int badDataRefIndex

  Movie Toolbox errors

### noDefaultDataRef

    public static final int noDefaultDataRef

  Movie Toolbox errors

### couldNotUseAnExistingSample

    public static final int couldNotUseAnExistingSample

  Movie Toolbox errors

### featureUnsupported

    public static final int featureUnsupported

  Movie Toolbox errors

### noVideoTrackInMovieErr

    public static final int noVideoTrackInMovieErr

  Movie Toolbox errors

### noSoundTrackInMovieErr

    public static final int noSoundTrackInMovieErr

  Movie Toolbox errors

### soundSupportNotAvailableErr

    public static final int soundSupportNotAvailableErr

  Movie Toolbox errors

### unsupportedAuxiliaryImportData

    public static final int unsupportedAuxiliaryImportData

  Movie Toolbox errors

### auxiliaryExportDataUnavailable

    public static final int auxiliaryExportDataUnavailable

  Movie Toolbox errors

### samplesAlreadyInMediaErr

    public static final int samplesAlreadyInMediaErr

  Movie Toolbox errors

### noSourceTreeFoundErr

    public static final int noSourceTreeFoundErr

  Movie Toolbox errors

### sourceNotFoundErr

    public static final int sourceNotFoundErr

  Movie Toolbox errors

### movieTextNotFoundErr

    public static final int movieTextNotFoundErr

  Movie Toolbox errors

### missingRequiredParameterErr

    public static final int missingRequiredParameterErr

  Movie Toolbox errors

### invalidSpriteWorldPropertyErr

    public static final int invalidSpriteWorldPropertyErr

  Movie Toolbox errors

### invalidSpritePropertyErr

    public static final int invalidSpritePropertyErr

  Movie Toolbox errors

### gWorldsNotSameDepthAndSizeErr

    public static final int gWorldsNotSameDepthAndSizeErr

  Movie Toolbox errors

### invalidSpriteIndexErr

    public static final int invalidSpriteIndexErr

  Movie Toolbox errors

### invalidImageIndexErr

    public static final int invalidImageIndexErr

  Movie Toolbox errors

### invalidSpriteIDErr

    public static final int invalidSpriteIDErr

  Movie Toolbox errors

### internalComponentErr

    public static final int internalComponentErr

### notImplementedMusicOSErr

    public static final int notImplementedMusicOSErr

### cantSendToSynthesizerOSErr

    public static final int cantSendToSynthesizerOSErr

### cantReceiveFromSynthesizerOSErr

    public static final int cantReceiveFromSynthesizerOSErr

### illegalVoiceAllocationOSErr

    public static final int illegalVoiceAllocationOSErr

### illegalPartOSErr

    public static final int illegalPartOSErr

### illegalChannelOSErr

    public static final int illegalChannelOSErr

### illegalKnobOSErr

    public static final int illegalKnobOSErr

### illegalKnobValueOSErr

    public static final int illegalKnobValueOSErr

### illegalInstrumentOSErr

    public static final int illegalInstrumentOSErr

### illegalControllerOSErr

    public static final int illegalControllerOSErr

### midiManagerAbsentOSErr

    public static final int midiManagerAbsentOSErr

### synthesizerNotRespondingOSErr

    public static final int synthesizerNotRespondingOSErr

### synthesizerOSErr

    public static final int synthesizerOSErr

### illegalNoteChannelOSErr

    public static final int illegalNoteChannelOSErr

### noteChannelNotAllocatedOSErr

    public static final int noteChannelNotAllocatedOSErr

### tunePlayerFullOSErr

    public static final int tunePlayerFullOSErr

### tuneParseOSErr

    public static final int tuneParseOSErr

### noExportProcAvailableErr

    public static final int noExportProcAvailableErr

### videoOutputInUseErr

    public static final int videoOutputInUseErr

### componentDllLoadErr

    public static final int componentDllLoadErr

### componentDllEntryNotFoundErr

    public static final int componentDllEntryNotFoundErr

### qtmlDllLoadErr

    public static final int qtmlDllLoadErr

### qtmlDllEntryNotFoundErr

    public static final int qtmlDllEntryNotFoundErr

### qtmlUninitialized

    public static final int qtmlUninitialized

### unsupportedOSErr

    public static final int unsupportedOSErr

### unsupportedProcessorErr

    public static final int unsupportedProcessorErr

### cannotFindAtomErr

    public static final int cannotFindAtomErr

### notLeafAtomErr

    public static final int notLeafAtomErr

### atomsNotOfSameTypeErr

    public static final int atomsNotOfSameTypeErr

### atomIndexInvalidErr

    public static final int atomIndexInvalidErr

### duplicateAtomTypeAndIDErr

    public static final int duplicateAtomTypeAndIDErr

### invalidAtomErr

    public static final int invalidAtomErr

### invalidAtomContainerErr

    public static final int invalidAtomContainerErr

### invalidAtomTypeErr

    public static final int invalidAtomTypeErr

### cannotBeLeafAtomErr

    public static final int cannotBeLeafAtomErr

### pathTooLongErr

    public static final int pathTooLongErr

  Path errors

### emptyPathErr

    public static final int emptyPathErr

  Path errors

### noPathMappingErr

    public static final int noPathMappingErr

  Path errors

### pathNotVerifiedErr

    public static final int pathNotVerifiedErr

  Path errors

### unknownFormatErr

    public static final int unknownFormatErr

  Path errors

### wackBadFileErr

    public static final int wackBadFileErr

  Path errors

### wackForkNotFoundErr

    public static final int wackForkNotFoundErr

  Path errors

### wackBadMetaDataErr

    public static final int wackBadMetaDataErr

  Path errors

### qfcbNotFoundErr

    public static final int qfcbNotFoundErr

  Path errors

### qfcbNotCreatedErr

    public static final int qfcbNotCreatedErr

  Path errors

### AAPNotCreatedErr

    public static final int AAPNotCreatedErr

  Path errors

### AAPNotFoundErr

    public static final int AAPNotFoundErr

  Path errors

### ASDBadHeaderErr

    public static final int ASDBadHeaderErr

  Path errors

### ASDBadForkErr

    public static final int ASDBadForkErr

  Path errors

### ASDEntryNotFoundErr

    public static final int ASDEntryNotFoundErr

  Path errors

### fileOffsetTooBigErr

    public static final int fileOffsetTooBigErr

  Path errors

### notAllowedToSaveMovieErr

    public static final int notAllowedToSaveMovieErr

  Path errors

### qtNetworkAlreadyAllocatedErr

    public static final int qtNetworkAlreadyAllocatedErr

  Path errors

### urlDataHHTTPProtocolErr

    public static final int urlDataHHTTPProtocolErr

  Path errors

### urlDataHHTTPNoNetDriverErr

    public static final int urlDataHHTTPNoNetDriverErr

  Path errors

### urlDataHHTTPURLErr

    public static final int urlDataHHTTPURLErr

  Path errors

### urlDataHHTTPRedirectErr

    public static final int urlDataHHTTPRedirectErr

  Path errors

### urlDataHFTPProtocolErr

    public static final int urlDataHFTPProtocolErr

  Path errors

### urlDataHFTPShutdownErr

    public static final int urlDataHFTPShutdownErr

  Path errors

### urlDataHFTPBadUserErr

    public static final int urlDataHFTPBadUserErr

  Path errors

### urlDataHFTPBadPasswordErr

    public static final int urlDataHFTPBadPasswordErr

  Path errors

### urlDataHFTPServerErr

    public static final int urlDataHFTPServerErr

  Path errors

### urlDataHFTPDataConnectionErr

    public static final int urlDataHFTPDataConnectionErr

  Path errors

### urlDataHFTPNoDirectoryErr

    public static final int urlDataHFTPNoDirectoryErr

  Path errors

### urlDataHFTPQuotaErr

    public static final int urlDataHFTPQuotaErr

  Path errors

### urlDataHFTPPermissionsErr

    public static final int urlDataHFTPPermissionsErr

  Path errors

### urlDataHFTPFilenameErr

    public static final int urlDataHFTPFilenameErr

  Path errors

### urlDataHFTPNoNetDriverErr

    public static final int urlDataHFTPNoNetDriverErr

  Path errors

### urlDataHFTPBadNameListErr

    public static final int urlDataHFTPBadNameListErr

  Path errors

### urlDataHFTPNeedPasswordErr

    public static final int urlDataHFTPNeedPasswordErr

  Path errors

### urlDataHFTPNoPasswordErr

    public static final int urlDataHFTPNoPasswordErr

  Path errors

### urlDataHFTPServerDisconnectedErr

    public static final int urlDataHFTPServerDisconnectedErr

  Path errors

### urlDataHFTPURLErr

    public static final int urlDataHFTPURLErr

  Path errors

### notEnoughDataErr

    public static final int notEnoughDataErr

  Path errors

### qtActionNotHandledErr

    public static final int qtActionNotHandledErr

  Path errors

### digiUnimpErr

    public static final int digiUnimpErr

### qtParamErr

    public static final int qtParamErr

### matrixErr

    public static final int matrixErr

### notExactMatrixErr

    public static final int notExactMatrixErr

### noMoreKeyColorsErr

    public static final int noMoreKeyColorsErr

### notExactSizeErr

    public static final int notExactSizeErr

### badDepthErr

    public static final int badDepthErr

### noDMAErr

    public static final int noDMAErr

### badCallOrderErr

    public static final int badCallOrderErr

### invalidComponentID

    public static final int invalidComponentID

### validInstancesExist

    public static final int validInstancesExist

### componentNotCaptured

    public static final int componentNotCaptured

### componentDontRegister

    public static final int componentDontRegister

### unresolvedComponentDLLErr

    public static final int unresolvedComponentDLLErr

### afpAccessDenied

    public static final int afpAccessDenied

### afpObjectTypeErr

    public static final int afpObjectTypeErr

### codecErr

    public static final int codecErr

### noCodecErr

    public static final int noCodecErr

### codecUnimpErr

    public static final int codecUnimpErr

### codecSizeErr

    public static final int codecSizeErr

### codecScreenBufErr

    public static final int codecScreenBufErr

### codecImageBufErr

    public static final int codecImageBufErr

### codecSpoolErr

    public static final int codecSpoolErr

### codecAbortErr

    public static final int codecAbortErr

### codecWouldOffscreenErr

    public static final int codecWouldOffscreenErr

### codecBadDataErr

    public static final int codecBadDataErr

### codecDataVersErr

    public static final int codecDataVersErr

### codecExtensionNotFoundErr

    public static final int codecExtensionNotFoundErr

### scTypeNotFoundErr

    public static final int scTypeNotFoundErr

### codecConditionErr

    public static final int codecConditionErr

### codecOpenErr

    public static final int codecOpenErr

### codecCantWhenErr

    public static final int codecCantWhenErr

### codecCantQueueErr

    public static final int codecCantQueueErr

### codecNothingToBlitErr

    public static final int codecNothingToBlitErr

### codecNoMemoryPleaseWaitErr

    public static final int codecNoMemoryPleaseWaitErr

### codecDisabledErr

    public static final int codecDisabledErr

### codecNeedToFlushChainErr

    public static final int codecNeedToFlushChainErr

### lockPortBitsBadSurfaceErr

    public static final int lockPortBitsBadSurfaceErr

### lockPortBitsWindowMovedErr

    public static final int lockPortBitsWindowMovedErr

### lockPortBitsWindowResizedErr

    public static final int lockPortBitsWindowResizedErr

### lockPortBitsWindowClippedErr

    public static final int lockPortBitsWindowClippedErr

### lockPortBitsBadPortErr

    public static final int lockPortBitsBadPortErr

### lockPortBitsSurfaceLostErr

    public static final int lockPortBitsSurfaceLostErr

### codecParameterDialogConfirm

    public static final int codecParameterDialogConfirm

### codecNeedAccessKeyErr

    public static final int codecNeedAccessKeyErr

### codecOffscreenFailedErr

    public static final int codecOffscreenFailedErr

### codecDroppedFrameErr

    public static final int codecDroppedFrameErr

### noDeviceForChannel

    public static final int noDeviceForChannel

### grabTimeComplete

    public static final int grabTimeComplete

### cantDoThatInCurrentMode

    public static final int cantDoThatInCurrentMode

### notEnoughMemoryToGrab

    public static final int notEnoughMemoryToGrab

### notEnoughDiskSpaceToGrab

    public static final int notEnoughDiskSpaceToGrab

### couldntGetRequiredComponent

    public static final int couldntGetRequiredComponent

### badSGChannel

    public static final int badSGChannel

### seqGrabInfoNotAvailable

    public static final int seqGrabInfoNotAvailable

### deviceCantMeetRequest

    public static final int deviceCantMeetRequest

### badControllerHeight

    public static final int badControllerHeight

### editingNotAllowed

    public static final int editingNotAllowed

### controllerBoundsNotExact

    public static final int controllerBoundsNotExact

### cannotSetWidthOfAttachedController

    public static final int cannotSetWidthOfAttachedController

### controllerHasFixedHeight

    public static final int controllerHasFixedHeight

### cannotMoveAttachedController

    public static final int cannotMoveAttachedController

### kQ3ErrorInternalError

    public static final int kQ3ErrorInternalError

### kQ3ErrorNoRecovery

    public static final int kQ3ErrorNoRecovery

### kQ3ErrorLastFatalError

    public static final int kQ3ErrorLastFatalError

### kQ3ErrorNotInitialized

    public static final int kQ3ErrorNotInitialized

### kQ3ErrorAlreadyInitialized

    public static final int kQ3ErrorAlreadyInitialized

### kQ3ErrorUnimplemented

    public static final int kQ3ErrorUnimplemented

### kQ3ErrorRegistrationFailed

    public static final int kQ3ErrorRegistrationFailed

### kQ3ErrorUnixError

    public static final int kQ3ErrorUnixError

### kQ3ErrorMacintoshError

    public static final int kQ3ErrorMacintoshError

### kQ3ErrorX11Error

    public static final int kQ3ErrorX11Error

### kQ3ErrorMemoryLeak

    public static final int kQ3ErrorMemoryLeak

### kQ3ErrorOutOfMemory

    public static final int kQ3ErrorOutOfMemory

### kQ3ErrorNULLParameter

    public static final int kQ3ErrorNULLParameter

### kQ3ErrorParameterOutOfRange

    public static final int kQ3ErrorParameterOutOfRange

### kQ3ErrorInvalidParameter

    public static final int kQ3ErrorInvalidParameter

### kQ3ErrorInvalidData

    public static final int kQ3ErrorInvalidData

### kQ3ErrorAcceleratorAlreadySet

    public static final int kQ3ErrorAcceleratorAlreadySet

### kQ3ErrorVector3DNotUnitLength

    public static final int kQ3ErrorVector3DNotUnitLength

### kQ3ErrorVector3DZeroLength

    public static final int kQ3ErrorVector3DZeroLength

### kQ3ErrorInvalidObject

    public static final int kQ3ErrorInvalidObject

### kQ3ErrorInvalidObjectClass

    public static final int kQ3ErrorInvalidObjectClass

### kQ3ErrorInvalidObjectType

    public static final int kQ3ErrorInvalidObjectType

### kQ3ErrorInvalidObjectName

    public static final int kQ3ErrorInvalidObjectName

### kQ3ErrorObjectClassInUse

    public static final int kQ3ErrorObjectClassInUse

### kQ3ErrorAccessRestricted

    public static final int kQ3ErrorAccessRestricted

### kQ3ErrorMetaHandlerRequired

    public static final int kQ3ErrorMetaHandlerRequired

### kQ3ErrorNeedRequiredMethods

    public static final int kQ3ErrorNeedRequiredMethods

### kQ3ErrorNoSubClassType

    public static final int kQ3ErrorNoSubClassType

### kQ3ErrorUnknownElementType

    public static final int kQ3ErrorUnknownElementType

### kQ3ErrorNotSupported

    public static final int kQ3ErrorNotSupported

### kQ3ErrorNoExtensionsFolder

    public static final int kQ3ErrorNoExtensionsFolder

### kQ3ErrorExtensionError

    public static final int kQ3ErrorExtensionError

### kQ3ErrorPrivateExtensionError

    public static final int kQ3ErrorPrivateExtensionError

### kQ3ErrorDegenerateGeometry

    public static final int kQ3ErrorDegenerateGeometry

### kQ3ErrorGeometryInsufficientNumberOfPoints

    public static final int kQ3ErrorGeometryInsufficientNumberOfPoints

### kQ3ErrorNoStorageSetForFile

    public static final int kQ3ErrorNoStorageSetForFile

### kQ3ErrorEndOfFile

    public static final int kQ3ErrorEndOfFile

### kQ3ErrorFileCancelled

    public static final int kQ3ErrorFileCancelled

### kQ3ErrorInvalidMetafile

    public static final int kQ3ErrorInvalidMetafile

### kQ3ErrorInvalidMetafilePrimitive

    public static final int kQ3ErrorInvalidMetafilePrimitive

### kQ3ErrorInvalidMetafileLabel

    public static final int kQ3ErrorInvalidMetafileLabel

### kQ3ErrorInvalidMetafileObject

    public static final int kQ3ErrorInvalidMetafileObject

### kQ3ErrorInvalidMetafileSubObject

    public static final int kQ3ErrorInvalidMetafileSubObject

### kQ3ErrorInvalidSubObjectForObject

    public static final int kQ3ErrorInvalidSubObjectForObject

### kQ3ErrorUnresolvableReference

    public static final int kQ3ErrorUnresolvableReference

### kQ3ErrorUnknownObject

    public static final int kQ3ErrorUnknownObject

### kQ3ErrorStorageInUse

    public static final int kQ3ErrorStorageInUse

### kQ3ErrorStorageAlreadyOpen

    public static final int kQ3ErrorStorageAlreadyOpen

### kQ3ErrorStorageNotOpen

    public static final int kQ3ErrorStorageNotOpen

### kQ3ErrorStorageIsOpen

    public static final int kQ3ErrorStorageIsOpen

### kQ3ErrorFileAlreadyOpen

    public static final int kQ3ErrorFileAlreadyOpen

### kQ3ErrorFileNotOpen

    public static final int kQ3ErrorFileNotOpen

### kQ3ErrorFileIsOpen

    public static final int kQ3ErrorFileIsOpen

### kQ3ErrorBeginWriteAlreadyCalled

    public static final int kQ3ErrorBeginWriteAlreadyCalled

### kQ3ErrorBeginWriteNotCalled

    public static final int kQ3ErrorBeginWriteNotCalled

### kQ3ErrorEndWriteNotCalled

    public static final int kQ3ErrorEndWriteNotCalled

### kQ3ErrorReadStateInactive

    public static final int kQ3ErrorReadStateInactive

### kQ3ErrorStateUnavailable

    public static final int kQ3ErrorStateUnavailable

### kQ3ErrorWriteStateInactive

    public static final int kQ3ErrorWriteStateInactive

### kQ3ErrorSizeNotLongAligned

    public static final int kQ3ErrorSizeNotLongAligned

### kQ3ErrorFileModeRestriction

    public static final int kQ3ErrorFileModeRestriction

### kQ3ErrorInvalidHexString

    public static final int kQ3ErrorInvalidHexString

### kQ3ErrorWroteMoreThanSize

    public static final int kQ3ErrorWroteMoreThanSize

### kQ3ErrorWroteLessThanSize

    public static final int kQ3ErrorWroteLessThanSize

### kQ3ErrorReadLessThanSize

    public static final int kQ3ErrorReadLessThanSize

### kQ3ErrorReadMoreThanSize

    public static final int kQ3ErrorReadMoreThanSize

### kQ3ErrorNoBeginGroup

    public static final int kQ3ErrorNoBeginGroup

### kQ3ErrorSizeMismatch

    public static final int kQ3ErrorSizeMismatch

### kQ3ErrorStringExceedsMaximumLength

    public static final int kQ3ErrorStringExceedsMaximumLength

### kQ3ErrorValueExceedsMaximumSize

    public static final int kQ3ErrorValueExceedsMaximumSize

### kQ3ErrorNonUniqueLabel

    public static final int kQ3ErrorNonUniqueLabel

### kQ3ErrorEndOfContainer

    public static final int kQ3ErrorEndOfContainer

### kQ3ErrorUnmatchedEndGroup

    public static final int kQ3ErrorUnmatchedEndGroup

### kQ3ErrorFileVersionExists

    public static final int kQ3ErrorFileVersionExists

### kQ3ErrorViewNotStarted

    public static final int kQ3ErrorViewNotStarted

### kQ3ErrorViewIsStarted

    public static final int kQ3ErrorViewIsStarted

### kQ3ErrorRendererNotSet

    public static final int kQ3ErrorRendererNotSet

### kQ3ErrorRenderingIsActive

    public static final int kQ3ErrorRenderingIsActive

### kQ3ErrorImmediateModeUnderflow

    public static final int kQ3ErrorImmediateModeUnderflow

### kQ3ErrorDisplayNotSet

    public static final int kQ3ErrorDisplayNotSet

### kQ3ErrorCameraNotSet

    public static final int kQ3ErrorCameraNotSet

### kQ3ErrorDrawContextNotSet

    public static final int kQ3ErrorDrawContextNotSet

### kQ3ErrorNonInvertibleMatrix

    public static final int kQ3ErrorNonInvertibleMatrix

### kQ3ErrorRenderingNotStarted

    public static final int kQ3ErrorRenderingNotStarted

### kQ3ErrorPickingNotStarted

    public static final int kQ3ErrorPickingNotStarted

### kQ3ErrorBoundsNotStarted

    public static final int kQ3ErrorBoundsNotStarted

### kQ3ErrorDataNotAvailable

    public static final int kQ3ErrorDataNotAvailable

### kQ3ErrorNothingToPop

    public static final int kQ3ErrorNothingToPop

### kQ3ErrorUnknownStudioType

    public static final int kQ3ErrorUnknownStudioType

### kQ3ErrorAlreadyRendering

    public static final int kQ3ErrorAlreadyRendering

### kQ3ErrorStartGroupRange

    public static final int kQ3ErrorStartGroupRange

### kQ3ErrorUnsupportedGeometryType

    public static final int kQ3ErrorUnsupportedGeometryType

### kQ3ErrorInvalidGeometryType

    public static final int kQ3ErrorInvalidGeometryType

### kQ3ErrorUnsupportedFunctionality

    public static final int kQ3ErrorUnsupportedFunctionality

### kQ3ErrorInvalidPositionForGroup

    public static final int kQ3ErrorInvalidPositionForGroup

### kQ3ErrorInvalidObjectForGroup

    public static final int kQ3ErrorInvalidObjectForGroup

### kQ3ErrorInvalidObjectForPosition

    public static final int kQ3ErrorInvalidObjectForPosition

### kQ3ErrorScaleOfZero

    public static final int kQ3ErrorScaleOfZero

### kQ3ErrorBadStringType

    public static final int kQ3ErrorBadStringType

### kQ3ErrorAttributeNotContained

    public static final int kQ3ErrorAttributeNotContained

### kQ3ErrorAttributeInvalidType

    public static final int kQ3ErrorAttributeInvalidType

### kQ3ErrorInvalidCameraValues

    public static final int kQ3ErrorInvalidCameraValues

### kQ3ErrorBadDrawContextType

    public static final int kQ3ErrorBadDrawContextType

### kQ3ErrorBadDrawContextFlag

    public static final int kQ3ErrorBadDrawContextFlag

### kQ3ErrorBadDrawContext

    public static final int kQ3ErrorBadDrawContext

### kQ3ErrorUnsupportedPixelDepth

    public static final int kQ3ErrorUnsupportedPixelDepth

### kQ3ErrorController

    public static final int kQ3ErrorController

### kQ3ErrorTracker

    public static final int kQ3ErrorTracker

### kQ3ErrorWin32Error

    public static final int kQ3ErrorWin32Error

### kQ3ErrorTypeAlreadyExistsAndHasSubclasses

    public static final int kQ3ErrorTypeAlreadyExistsAndHasSubclasses

### kQ3ErrorTypeAlreadyExistsAndOtherClassesDependOnIt

    public static final int kQ3ErrorTypeAlreadyExistsAndOtherClassesDependOnIt

### kQ3ErrorTypeAlreadyExistsAndHasObjectInstances

    public static final int kQ3ErrorTypeAlreadyExistsAndHasObjectInstances

### kQ3ErrorPickingLoopFailed

    public static final int kQ3ErrorPickingLoopFailed

### kQ3ErrorRenderingLoopFailed

    public static final int kQ3ErrorRenderingLoopFailed

### kQ3ErrorWritingLoopFailed

    public static final int kQ3ErrorWritingLoopFailed

### kQ3ErrorBoundingLoopFailed

    public static final int kQ3ErrorBoundingLoopFailed

### kQ3WarningNone

    public static final int kQ3WarningNone

### kQ3WarningInternalException

    public static final int kQ3WarningInternalException

### kQ3WarningNoObjectSupportForDuplicateMethod

    public static final int kQ3WarningNoObjectSupportForDuplicateMethod

### kQ3WarningNoObjectSupportForDrawMethod

    public static final int kQ3WarningNoObjectSupportForDrawMethod

### kQ3WarningNoObjectSupportForWriteMethod

    public static final int kQ3WarningNoObjectSupportForWriteMethod

### kQ3WarningNoObjectSupportForReadMethod

    public static final int kQ3WarningNoObjectSupportForReadMethod

### kQ3WarningUnknownElementType

    public static final int kQ3WarningUnknownElementType

### kQ3WarningTypeAndMethodAlreadyDefined

    public static final int kQ3WarningTypeAndMethodAlreadyDefined

### kQ3WarningTypeIsOutOfRange

    public static final int kQ3WarningTypeIsOutOfRange

### kQ3WarningTypeHasNotBeenRegistered

    public static final int kQ3WarningTypeHasNotBeenRegistered

### kQ3WarningVector3DNotUnitLength

    public static final int kQ3WarningVector3DNotUnitLength

### kQ3WarningInvalidSubObjectForObject

    public static final int kQ3WarningInvalidSubObjectForObject

### kQ3WarningInvalidHexString

    public static final int kQ3WarningInvalidHexString

### kQ3WarningUnknownObject

    public static final int kQ3WarningUnknownObject

### kQ3WarningInvalidMetafileObject

    public static final int kQ3WarningInvalidMetafileObject

### kQ3WarningUnmatchedBeginGroup

    public static final int kQ3WarningUnmatchedBeginGroup

### kQ3WarningUnmatchedEndGroup

    public static final int kQ3WarningUnmatchedEndGroup

### kQ3WarningInvalidTableOfContents

    public static final int kQ3WarningInvalidTableOfContents

### kQ3WarningUnresolvableReference

    public static final int kQ3WarningUnresolvableReference

### kQ3WarningNoAttachMethod

    public static final int kQ3WarningNoAttachMethod

### kQ3WarningInconsistentData

    public static final int kQ3WarningInconsistentData

### kQ3WarningReadLessThanSize

    public static final int kQ3WarningReadLessThanSize

### kQ3WarningFilePointerResolutionFailed

    public static final int kQ3WarningFilePointerResolutionFailed

### kQ3WarningFilePointerRedefined

    public static final int kQ3WarningFilePointerRedefined

### kQ3WarningStringExceedsMaximumLength

    public static final int kQ3WarningStringExceedsMaximumLength

### kQ3WarningLowMemory

    public static final int kQ3WarningLowMemory

### kQ3WarningPossibleMemoryLeak

    public static final int kQ3WarningPossibleMemoryLeak

### kQ3WarningViewTraversalInProgress

    public static final int kQ3WarningViewTraversalInProgress

### kQ3WarningNonInvertibleMatrix

    public static final int kQ3WarningNonInvertibleMatrix

### kQ3WarningQuaternionEntriesAreZero

    public static final int kQ3WarningQuaternionEntriesAreZero

### kQ3WarningFunctionalityNotSupported

    public static final int kQ3WarningFunctionalityNotSupported

### kQ3WarningInvalidPaneDimensions

    public static final int kQ3WarningInvalidPaneDimensions

### kQ3WarningPickParamOutside

    public static final int kQ3WarningPickParamOutside

### kQ3WarningScaleEntriesAllZero

    public static final int kQ3WarningScaleEntriesAllZero

### kQ3WarningScaleContainsNegativeEntries

    public static final int kQ3WarningScaleContainsNegativeEntries

### kQ3WarningParameterOutOfRange

    public static final int kQ3WarningParameterOutOfRange

### kQ3WarningExtensionNotLoading

    public static final int kQ3WarningExtensionNotLoading

### kQ3WarningTypeAlreadyRegistered

    public static final int kQ3WarningTypeAlreadyRegistered

### kQ3WarningTypeSameVersionAlreadyRegistered

    public static final int kQ3WarningTypeSameVersionAlreadyRegistered

### kQ3WarningTypeNewerVersionAlreadyRegistered

    public static final int kQ3WarningTypeNewerVersionAlreadyRegistered

### kQ3WarningInvalidObjectInGroupMetafile

    public static final int kQ3WarningInvalidObjectInGroupMetafile

### kQ3NoticeDataAlreadyEmpty

    public static final int kQ3NoticeDataAlreadyEmpty

### kQ3NoticeMethodNotSupported

    public static final int kQ3NoticeMethodNotSupported

### kQ3NoticeObjectAlreadySet

    public static final int kQ3NoticeObjectAlreadySet

### kQ3NoticeParameterOutOfRange

    public static final int kQ3NoticeParameterOutOfRange

### kQ3NoticeFileAliasWasChanged

    public static final int kQ3NoticeFileAliasWasChanged

### kQ3NoticeMeshVertexHasNoComponent

    public static final int kQ3NoticeMeshVertexHasNoComponent

### kQ3NoticeMeshInvalidVertexFacePair

    public static final int kQ3NoticeMeshInvalidVertexFacePair

### kQ3NoticeMeshEdgeVertexDoNotCorrespond

    public static final int kQ3NoticeMeshEdgeVertexDoNotCorrespond

### kQ3NoticeMeshEdgeIsNotBoundary

    public static final int kQ3NoticeMeshEdgeIsNotBoundary

### kQ3NoticeDrawContextNotSetUsingInternalDefaults

    public static final int kQ3NoticeDrawContextNotSetUsingInternalDefaults

### kQ3NoticeInvalidAttenuationTypeUsingInternalDefaults

    public static final int kQ3NoticeInvalidAttenuationTypeUsingInternalDefaults

### kQ3NoticeBrightnessGreaterThanOne

    public static final int kQ3NoticeBrightnessGreaterThanOne

### kQ3NoticeScaleContainsZeroEntries

    public static final int kQ3NoticeScaleContainsZeroEntries

### kQ3NoticeSystemAlreadyInitialized

    public static final int kQ3NoticeSystemAlreadyInitialized

### kQ3NoticeViewSyncCalledAgain

    public static final int kQ3NoticeViewSyncCalledAgain

### kQ3NoticeFileCancelled

    public static final int kQ3NoticeFileCancelled

### notAQTVRMovieErr

    public static final int notAQTVRMovieErr

### constraintReachedErr

    public static final int constraintReachedErr

### callNotSupportedByNodeErr

    public static final int callNotSupportedByNodeErr

### selectorNotSupportedByNodeErr

    public static final int selectorNotSupportedByNodeErr

### invalidNodeIDErr

    public static final int invalidNodeIDErr

### invalidViewStateErr

    public static final int invalidViewStateErr

### timeNotInViewErr

    public static final int timeNotInViewErr

### propertyNotSupportedByNodeErr

    public static final int propertyNotSupportedByNodeErr

### settingNotSupportedByNodeErr

    public static final int settingNotSupportedByNodeErr

### limitReachedErr

    public static final int limitReachedErr

### invalidNodeFormatErr

    public static final int invalidNodeFormatErr

### invalidHotSpotIDErr

    public static final int invalidHotSpotIDErr

### noMemoryNodeFailedInitialize

    public static final int noMemoryNodeFailedInitialize

### streamingNodeNotReadyErr

    public static final int streamingNodeNotReadyErr

### qtvrLibraryLoadErr

    public static final int qtvrLibraryLoadErr

### qtvrUninitialized

    public static final int qtvrUninitialized

### badComponentInstance

    public static final int badComponentInstance

  Component errors

### badComponentSelector

    public static final int badComponentSelector

  Component errors

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD